wii 4.1 e system files corrupt!

Discussion in 'Wii - Hacking' started by paul3100, Aug 8, 2009.

Aug 8, 2009
  1. paul3100
    OP

    Member paul3100 GBAtemp Advanced Fan

    Joined:
    Oct 15, 2007
    Messages:
    510
    Location:
    scotland
    Country:
    United Kingdom
    HELP.........

    Hi all , hoping someone can help me here?

    I have a wii that was officially updated to 4.1e which i then installed the latest hbc and preloader 2.9c (i think) and also rev 14.

    Problem is i gave it to the owner thinking it was workking fine being able to play usbloader games as well as dvd backups through Gecko but now it comes up saying something along the lines of " system files corrupt please check the owner manual " and its written in white on a black screen but the text is kinda messed up!

    So what i would like to know /do is how to fix it ? could from the hbc i install 4.1 update again and would that sort it using wans safe update perhaps??

    thanks for any help and sorry for asking when its probably been asked thousands of times!

    paul
     
  2. linuxares

    Member linuxares GBAtemp Maniac

    Joined:
    Aug 5, 2007
    Messages:
    1,387
    Country:
    Sweden
    When does this happen? Is it when he try to start something or start the wii up itself?
     
  3. pspmte

    Member pspmte GBAtemp Regular

    Joined:
    Oct 23, 2008
    Messages:
    243
    Country:
    United Kingdom
    reinstaller preloader
    Check ios30 and iso60
     
  4. paul3100
    OP

    Member paul3100 GBAtemp Advanced Fan

    Joined:
    Oct 15, 2007
    Messages:
    510
    Location:
    scotland
    Country:
    United Kingdom
    As soon as i switch the wii on it comes up with the black screen telling me the system files are corrupt.

    By pressing reset takes me to preloader where i can access the hbc, but if i try from preloader to go to system menu it comes up again!

    Shouldn,t i just be able to reinstall the system menu files then? . i did install wans 4.1 updater but its not made any difference!

    paul
     
  5. kedest

    Member kedest GBAtemp Psycho!

    Joined:
    Feb 6, 2007
    Messages:
    3,284
    Country:
    Netherlands
    go to preloader settings, is the system menu ios still set to 60?
     
  6. paul3100
    OP

    Member paul3100 GBAtemp Advanced Fan

    Joined:
    Oct 15, 2007
    Messages:
    510
    Location:
    scotland
    Country:
    United Kingdom
    yes

    EDIT, just set system menu to 249 and all seems well again!

    But is it ok and why did the system files get corrupt in the first place anyone?

    cheers
     
  7. kedest

    Member kedest GBAtemp Psycho!

    Joined:
    Feb 6, 2007
    Messages:
    3,284
    Country:
    Netherlands
    you could try to install the 4.1E system menu wad using wad manage. you can create that wad on your computer with NUSD
     
  8. HiBit

    Member HiBit GBAtemp Fan

    Joined:
    Jun 19, 2009
    Messages:
    477
    Country:
    Germany
    If he install the sysmenu it could be a good idea to install also IOS60 without an restart if the new sysmenu is installed.

    The new installed sysmenu removes preloader and if there is a problem with IOS60 the Wii is bricked.


    Btw, i think reinstalling preloader should help. Yes, this ^^ help too, but than he must reinstall preloader.
     
  9. piratesmack

    Member piratesmack GBAtemp Advanced Fan

    Joined:
    Mar 28, 2009
    Messages:
    787
    Location:
    $(pwd)
    Country:
    United States
    The preloader installer patches the ES_DIVerfiy function in IOS60 so it can use that IOS to boot the System Menu.
    It sounds like you overwrote your IOS60 with one that didn't have ES_DIVerfiy.

    So if you reinstall preloader, it should patch the ES_DIVerfiy function again and you will no longer get the "system menu files corrupt" error.

    Btw, SDHC cards won't work with the system menu unless you use IOS60
     
  10. paul3100
    OP

    Member paul3100 GBAtemp Advanced Fan

    Joined:
    Oct 15, 2007
    Messages:
    510
    Location:
    scotland
    Country:
    United Kingdom
    thanks guys for the help, installing preloader did indeed sort ios 60 :-)

    guess ill need to read up more in future before rushing into things!

    But as i asked before " why did the system files get corrupt in the first place anyone? " when it was ok all the times i switched the wii on and off and tried different games and apps?

    cheers , paul
     
  11. Teh H4rRy

    Member Teh H4rRy GBAtemp Regular

    Joined:
    Jun 12, 2009
    Messages:
    145
    Country:
    United Kingdom
    May I suggest you install BootMii and do a NAND backup? If it does go to pot you can restore it
     
  12. paul3100
    OP

    Member paul3100 GBAtemp Advanced Fan

    Joined:
    Oct 15, 2007
    Messages:
    510
    Location:
    scotland
    Country:
    United Kingdom

    I tried to install boot mii to boot2 but it wouldn't let me! something about a missing ios i think?

    But bootmii is installed as an ios .

    Is doing the nand backup safe and quick?

    paul
     
  13. Neku_Sakuraba

    Member Neku_Sakuraba GBAtemp Regular

    Joined:
    May 20, 2009
    Messages:
    296
    Country:
    United States
    I get this problem alot but thanks to the preloader my Wii has survived 21 bricks! What happend was that your wii bricked (kinda ovius huh?) Just turn of your Wii and hold down the reset button until preloader shows up. Then put in your HBC apps folder the "anyregion changer". Repeat the preloader turn on and go to homebrew channel and load the anyregion changer. Go close to the bottom and click update for 3.2E. Let it do it downgrade the click the exit button then complete! Turn on your wii then hopefully you wont get the " system files corrupt please check the owner manual " pop-up and your wii will work. To get the sd channel you need to get a game with a 3.3e update and instal it. Then after that get waninko's 4.0e firmware updater. Now make a folder and insert the file then rename to a .dol file. put this folder into the apps section of the HBC. go to your HBC and load the 4.0e updater. once updated get the ios 60 installer click b, then a, a, and once its done installing click b then your done! [​IMG]
     
  14. paul3100
    OP

    Member paul3100 GBAtemp Advanced Fan

    Joined:
    Oct 15, 2007
    Messages:
    510
    Location:
    scotland
    Country:
    United Kingdom
    Wow that sounds like more than i can be bothered to do tbh but thank you for the great guide :-)

    No as i said i have the system menu running from ios 249 with preloader installed and everything is running normal so going to leave it at that! but my own wii is still on 3.2 with starfall so may update that ..

    paul
     
  15. spacedkadet

    Newcomer spacedkadet Advanced Member

    Joined:
    Jul 26, 2009
    Messages:
    57
    Country:
    United Kingdom
    Its easy to avoid, before installing preloader just use wadmanager to install a file called IOS60patched.wad (google it) then when you install preloader with default settings you will have no problems, i know this for fact as i've done 3 wii's in the last 24hours [​IMG]
     
  16. NNoah95

    Newcomer NNoah95 Member

    Joined:
    Apr 24, 2009
    Messages:
    14
    Country:
    United States
    My Wii once said that and I just turned it off then on and it was fine. WTF?
     
  17. spacedkadet

    Newcomer spacedkadet Advanced Member

    Joined:
    Jul 26, 2009
    Messages:
    57
    Country:
    United Kingdom
    There are many reports of this happening to people with NO mods at all, it can "just" happen. Don't worry about it [​IMG]

    But if it happens after install of preloader then just install it again,.
     
  18. _Zephyr

    Newcomer _Zephyr Member

    Joined:
    Sep 13, 2009
    Messages:
    15
    Country:
    Indonesia
    can someone answer this question? I'm also curious [​IMG]

    mine is 4.0U, then I installed preloader 0.29 and got this system files corrupt thing.. I can set the system menu IOS to 249 and it is back to normal, but is it safe? if I want to use IOS60 as system menu IOS, what should I do? patch the IOS60? is there any way I can check if IOS60 is patched or not? thanks in advance
     

Share This Page